using EVCB_OCPP.Packet.Features;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.Reservation
{
    public class CancelReservationRequest : IRequest
    {

        public CancelReservationRequest()
        {
            Action = Actions.CancelReservation.ToString();
        }

        [JsonIgnore]
        public string Action { set; get; }

        [Required]
       public int reservationId { set; get; }

        public bool TransactionRelated()
        {
            return false;
        }

        public bool Validate()
        {
            return Validator.TryValidateObject(this, new ValidationContext(this), null, true);
        }
    }
}